Hooks:PostHook(RaidGUIControlKickMuteWidget, "init", "open_raid_files_init", function(self)
	self:_create_raid_files_button()
end)

function RaidGUIControlKickMuteWidget:_create_raid_files_button()
	local move_up_index = self._index > 1 and self._index - 1 or 3
	local move_down_index = self._index % 3 + 1
	local raid_files_button_params = {
		inactive_icon = "players_icon_gamecard",
		name = "raid_files_button_" .. tostring(self._index),
		on_click_callback = callback(self, self, "show_raid_files"),
		on_menu_move = {
			left = "list_menu",
			right = "mute_button_" .. tostring(self._index),
			up = "raid_files_button_" .. move_up_index,
			down = "raid_files_button_" .. move_down_index
		},
		on_selected_callback = callback(self, self, "on_button_selected", "raid_files"),
		on_unselected_callback = callback(self, self, "on_button_unselected", "raid_files"),
		on_mouse_enter_callback = callback(self, self, "_set_raid_files_tooltip", utf8.to_upper(managers.localization:text("tooltip_open_in_raid_files"))),
		on_mouse_exit_callback = callback(self, self, "_set_raid_files_tooltip")
	}
	self._raid_files_button = self._object:create_custom_control(RaidGUIControlButtonToggleSmall, raid_files_button_params)

	self._raid_files_button:set_center_x(self._mute_button:center_x() - RaidGUIControlKickMuteWidget.BUTTON_PADDING)
	self._raid_files_button:set_center_y(self._object:h() / 2)
	table.insert(self._buttons, self._raid_files_button)
end

Hooks:PostHook(RaidGUIControlKickMuteWidget, "_fit_size", "open_raid_files_fit_size", function(self)
	self._raid_files_button:set_center_x(self._mute_button:center_x() - RaidGUIControlKickMuteWidget.BUTTON_PADDING)
end)


function RaidGUIControlKickMuteWidget:show_raid_files()
	Steam:overlay_activate("url", "https://raid.detta.dev/" .. self._peer:user_id())
end

function RaidGUIControlKickMuteWidget:_set_raid_files_tooltip(text)
	local raid_menu_main_menu_gui = managers.menu_component and managers.menu_component._raid_menu_main_menu_gui
	if raid_menu_main_menu_gui and raid_menu_main_menu_gui._widget_action_title then
		raid_menu_main_menu_gui._widget_action_title:set_text(text or "")
	end
end
